# FormattedCreditNote

| Name                   | Type                                                                      | Description                     |
| ---------------------- | ------------------------------------------------------------------------- | ------------------------------- |
| amount                 | Float                                                                     |                                 |
| amountDue              | Float                                                                     |                                 |
| amountPaid             | Float                                                                     |                                 |
| billingCity            | String                                                                    |                                 |
| billingCountry         | String                                                                    |                                 |
| billingState           | String                                                                    |                                 |
| billingStreet          | String                                                                    |                                 |
| billingZip             | String                                                                    |                                 |
| createdAt              | ISO8601DateTime                                                           |                                 |
| creditedInvoice        | [Invoice](/developer/api-reference/types/invoice.md)                      |                                 |
| creditedInvoiceId      | ID                                                                        |                                 |
| credits                | Float                                                                     |                                 |
| currency               | String                                                                    |                                 |
| currencyId             | String                                                                    |                                 |
| currencySymbol         | String                                                                    |                                 |
| customerBillingCity    | String                                                                    |                                 |
| customerBillingContact | String                                                                    |                                 |
| customerBillingCountry | String                                                                    |                                 |
| customerBillingState   | String                                                                    |                                 |
| customerBillingStreet  | String                                                                    |                                 |
| customerBillingZip     | String                                                                    |                                 |
| customerName           | String                                                                    |                                 |
| dueAt                  | ISO8601Date                                                               |                                 |
| formattedLines         | List ([FormattedLine](/developer/api-reference/types/formattedline.md))   |                                 |
| html                   | String                                                                    |                                 |
| id                     | ID                                                                        |                                 |
| isLegacy               | Boolean                                                                   |                                 |
| messages               | List ([InvoiceMessage](/developer/api-reference/types/invoicemessage.md)) |                                 |
| netPaymentDays         | Int                                                                       |                                 |
| number                 | String                                                                    |                                 |
| object                 | [CreditNote](/developer/api-reference/types/creditnote.md)                |                                 |
| payableId              | ID                                                                        |                                 |
| poNumber               | String                                                                    |                                 |
| printedState           | String                                                                    |                                 |
| salesContactEmail      | String                                                                    |                                 |
| smallUnitAmountDue     | Int                                                                       |                                 |
| state                  | [CreditNoteState](/developer/api-reference/enums.md#creditnotestate)      |                                 |
| subscriptionEndDate    | ISO8601Date                                                               |                                 |
| subscriptionStartDate  | ISO8601Date                                                               |                                 |
| subtotal               | Float                                                                     |                                 |
| taxAmount              | Float                                                                     |                                 |
| taxCode                | String                                                                    |                                 |
| taxId                  | String                                                                    | Tax ID to display on invoices   |
| taxNumber              | String                                                                    |                                 |
| taxType                | [TaxType](/developer/api-reference/enums.md#taxtype)                      | Tax type to display on invoices |
| uuid                   | String                                                                    |                                 |
| vatCode                | String                                                                    |                                 |
| vendorName             | String                                                                    |                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/formattedcreditnote.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
